## icecc-monitor 2.0~svn951472

=== CMakeLists.txt ===
project(playground-devtools)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules )

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include(MacroOptionalAddSubdirectory)
include(MacroOptionalDependPackage)

macro_optional_find_package(Icecream)
MACRO_OPTIONAL_DEPEND_PACKAGE(KDevPlatform "kdevelop")
if(DEPEND_PACKAGE_KDevPlatform)
	macro_optional_find_package(KDevPlatform)
else(DEPEND_PACKAGE_KDevPlatform)
	set(KDEVPLATFORM_FOUND FALSE)
endif(DEPEND_PACKAGE_KDevPlatform)

macro_log_feature(LIBICECREAM_FOUND "libicecream" "Icecream distributed compilation lib, needed for icemon" "http://en.opensuse.org/Icecream")
macro_log_feature(KDEVPLATFORM_FOUND "kdevplatform" "KDevelop Platform libraries, needed for kdevelop4-extra-plugins" "http://www.kdevelop.org")

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DQT3_SUPPORT_WARNINGS -DQT3_SUPPORT)
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} )

add_subdirectory(cmake)
macro_optional_add_subdirectory (doc)

if(LIBICECREAM_FOUND)
	macro_optional_add_subdirectory (icemon)
endif(LIBICECREAM_FOUND)

macro_optional_add_subdirectory(kte_autobrace)
macro_optional_add_subdirectory(kte_quicksnippet)
#doesn't compile: 
# disabled, as kliveui seems disappeared
#macro_optional_add_subdirectory (livedesigner)
#macro_optional_add_subdirectory (smoker)
if(KDEVPLATFORM_FOUND)
	macro_optional_add_subdirectory(kdevelop-pg-qt)
	macro_optional_add_subdirectory(kdevelop4-extra-plugins)
endif(KDEVPLATFORM_FOUND)

if(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
    macro_display_feature_log()
endif(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
