=== doc/CMakeLists.txt ===
if(LIBICECREAM_FOUND)
add_subdirectory(icemon)
endif(LIBICECREAM_FOUND)
