=== cmake/modules/CMakeLists.txt ===
# install the cmake files

set(cmakeFiles FindIcecream.cmake )
install(FILES ${cmakeFiles} DESTINATION ${DATA_INSTALL_DIR}/cmake/modules )
