=== doc/CMakeLists.txt ===
add_subdirectory(icemon)
