=== debian/changelog ===
icecc-monitor (2.9.90~git20130612-1) unstable; urgency=low

  * New Git snapshot.
  * Drop patch 01_fix_armel_build.diff, applied upstream.
  * kdelibs is no more used, so:
    - stop using the kde dh addon
    - remove the pkg-kde-tools and kdelibs5-dev build dependencies
    - add the libqt4-dev build dependency
  * There is no more cmake stuff installed, so stop removing it at
    dh_auto_install time.
  * Bump the cmake build dependency to 2.8.5, as indicated by the upstream
    build system.
  * Override the hyphen-used-as-minus-sign lintian tags, since all the
    man pages shipped are generated from docbook.
  * Add the docbook-xml build dependency for correct man pages regeneration.
  * Switch copyright to copyright-format v1.0, and update it.
  * Update Homepage.
  * Add myself to Uploaders.

 -- Pino Toscano <pino@debian.org>  Wed, 12 Jun 2013 19:13:18 +0200

icecc-monitor (2.0~svn951472-3) unstable; urgency=low

  * Team upload.

  [ Fathi Boudra ]
  * Remove dh_desktop call, deprecated.

  [ Pino Toscano ]
  * Switch source format to "3.0 (quilt)":
    - add debian/source/format file
    - remove quilt usage in rules
    - remove the quilt build dependency
  * Bump debhelper compatibility to 9:
    - bump compat to 9
    - bump the debhelper build dependency to 9
  * Rewrite rules to use the dh sequencer with the kde addon.
  * Bump Standards-Version to 3.9.4, no changes required.
  * Add Vcs-* headers.
  * Link in as-needed mode.
  * Improve description, and fix a typo in it. (Closes: #687352)
  * Since icemon links to the static libicecc, include a Built-Using header
    with the source version of the libicecc-dev package used.
  * Add the pkg-config build dependency.

 -- Pino Toscano <pino@debian.org>  Sun, 26 May 2013 11:37:48 +0200

icecc-monitor (2.0~svn951472-2) unstable; urgency=low

  * Add patch to fix armel build.

 -- Fathi Boudra <fabo@debian.org>  Sat, 11 Apr 2009 09:57:31 +0200

icecc-monitor (2.0~svn951472-1) unstable; urgency=low

  * New svn snapshot. Initial KDE4 version.
  * Remove deprecated patches.
  * Bump compat/debhelper to 7. no changes needed.
  * Switch to debhelper and quilt.
  * Update build dependencies: cmake, pkg-kde-tools, kdelibs5-dev.

 -- Fathi Boudra <fabo@debian.org>  Thu, 09 Apr 2009 12:12:40 +0200

icecc-monitor (1.1-3) unstable; urgency=low

  * Update debian/copyright - fixes copyright-file-contains-full-gfdl-
    license
  * Add Homepage: - fixes description-contains-homepage
  * Update to Standards: 3.8.0 - no changes necessary

 -- Mark Purcell <msp@debian.org>  Sun, 28 Sep 2008 12:51:49 +1000

icecc-monitor (1.1-2) unstable; urgency=low

  * Include gcc4.3 patch from Martin. (Closes: #417227)

 -- Mark Purcell <msp@debian.org>  Fri, 27 Apr 2007 22:39:17 +1000

icecc-monitor (1.1-1) unstable; urgency=low

  * Initial Debian release (Closes: #388327)
  * Merge Andre Woebbeking and Jonathan Riddell package
  * KDE_3_5_BRANCH update (up to r583517)
    * Fix typo license in kabout BSD->GPL_V2
  * Export kde_htmldir to fix doc installation path

 -- Fathi Boudra <fboudra@free.fr>  Mon, 11 Sep 2006 23:15:00 +0200
