=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

ICECC_DEV_VERSION = $(shell dpkg-query -Wf '$${source:Package} (= $${source:Version})' libicecc-dev)

%:
	dh $@ --parallel

override_dh_auto_clean:
	dh_auto_clean
	rm -f icemon.1

override_dh_auto_build:
	dh_auto_build
	/usr/bin/docbook2x-man debian/icemon.xml

override_dh_installman:
	dh_installman icemon.1

override_dh_gencontrol:
	dh_gencontrol -- -Vicecc:Built-Using='$(ICECC_DEV_VERSION)'

get-orig-source:
	 @@dh_testdir
	 @@[ -d ../tarballs/. ]
	 @@dpatch-get-origtargz ../tarballs
