=== debian/changelog ===
icecc-monitor (2.9.90~git20140222-1) unstable; urgency=medium

  * New Git snapshot.
  * Fix build with icecc 1.0.x; patch no-icecc-logging.diff.

 -- Pino Toscano <pino@debian.org>  Sat, 22 Feb 2014 12:19:51 +0100

icecc-monitor (2.9.90~git20131208-1) unstable; urgency=low

  * New Git snapshot.
  * Upstream provides a man page now, so remove icemon.xml, its mention in
    copyright, and its manual build in rules.
  * Bump Standards-Version to 3.9.5, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 08 Dec 2013 12:47:40 +0100
