=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  pkg-config,
  libqt4-dev, libicecc-dev,
  docbook2x, docbook-xml
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/icecc/icemon
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/icemon/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/icemon/
