=== debian/rules ===
--- 
+++ 
@@ -10,17 +10,6 @@
 %:
 	dh $@ --parallel
 
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -f icemon.1
-
-override_dh_auto_build:
-	dh_auto_build
-	/usr/bin/docbook2x-man debian/icemon.xml
-
-override_dh_installman:
-	dh_installman icemon.1
-
 override_dh_gencontrol:
 	dh_gencontrol -- -Vicecc:Built-Using='$(ICECC_DEV_VERSION)'
