=== debian/changelog ===
icecc-monitor (3.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Update patches:
    - upstream_Add-missing-include-on-Qt-5.5-fixes-build.patch: drop,
      backported
  * Bump Standards-Version to 3.9.7, no changes required.
  * Use https for the Vcs-Browser field.

 -- Pino Toscano <pino@debian.org>  Sat, 13 Feb 2016 17:40:05 +0100

icecc-monitor (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch no-icecc-logging.diff, applied upstream.
  * Upstream switched from Qt4 to Qt5, so:
    - replace the libqt4-dev build dependency with qtbase5-dev
    - set QT_SELECT in rules to force the usage of Qt5
  * Bump cmake build dependency to >= 2.8.9, as indicated in the upstream
    CMakeLists.txt.
  * Add a watch file.
  * Backport upstream commit a772b1e7855e307266ea98cf3f73fcbd24429846 to
    include a needed header, fixing the build with Qt 5.5; patch
    upstream_Add-missing-include-on-Qt-5.5-fixes-build.patch.
  * Slightly tweak short description.
  * Bump Standards-Version to 3.9.6, no changes required.
  * Remove lintian override for hyphen-used-as-minus-sign, as it seems no more
    needed now.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 29 Nov 2015 09:38:43 +0100
