=== debian/control ===
Source: icecc-monitor
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>,
 Pino Toscano <pino@debian.org>
Build-Depends: debhelper (>= 9), cmake (>= 2.8.9),
 pkg-config,
 qtbase5-dev (>= 5.2), libicecc-dev,
 docbook2x, docbook-xml
Standards-Version: 3.9.7
Homepage: https://github.com/icecc/icemon
Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/icemon/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/icemon/

Package: icecc-monitor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: icecc
Built-Using: ${icecc:Built-Using}
Description: monitor for icecc
 icecc-monitor is a monitoring application for icecc (a distributed compiler).
 It provides a view on the distributed compile network, which jobs run where
 and details about jobs and nodes (statistics and overview information).
 .
 See the 'icecc' package for more information.
