=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 #export DH_VERBOSE=1
 
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
+
+export QT_SELECT := 5
 
 ICECC_DEV_VERSION = $(shell dpkg-query -Wf '$${source:Package} (= $${source:Version})' libicecc-dev)
