=== debian/changelog ===
icecc-monitor (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Jun 2017 07:46:42 +0200
