=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  pkg-config,
  qtbase5-dev (>= 5.2), libicecc-dev,
  docbook2x, docbook-xml
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/icecc/icemon
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/icemon/trunk/
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/icemon/
