## icecc-monitor 3.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 # version info
 set(ICEMON_VERSION_MAJOR "3")
-set(ICEMON_VERSION_MINOR "1")
+set(ICEMON_VERSION_MINOR "2")
 set(ICEMON_VERSION_PATCH "0")
 set(ICEMON_VERSION "${ICEMON_VERSION_MAJOR}.${ICEMON_VERSION_MINOR}.${ICEMON_VERSION_PATCH}")
 set(ICEMON_VERSION_STRING "${ICEMON_VERSION}")
