=== debian/changelog ===
icecc-monitor (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Remove Fathi Boudra from Uploaders, as requested by the MIA team.
    (Closes: #879301)
  * Remove the get-orig-source target from rules, as it was broken for a long
    time (refers to dpatch, and SVN).
  * Bump Standards-Version to 4.2.1, no changes required.
  * Remove empty line at the end of changelog.
  * Use https for Format in copyright.
  * Bump the libicecc-dev build dependency to >= 1.2, to make sure to use the
    newer icecc static library.

 -- Pino Toscano <pino@debian.org>  Fri, 21 Dec 2018 16:07:54 +0100
