=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: kde
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>,
+Uploaders: Mark Purcell <msp@debian.org>,
  Pino Toscano <pino@debian.org>
-Build-Depends: debhelper (>= 9), cmake (>= 2.8.9),
+Build-Depends: debhelper (>= 11~), cmake (>= 2.8.9),
  pkg-config,
- qtbase5-dev (>= 5.2), libicecc-dev,
+ qtbase5-dev (>= 5.2), libicecc-dev (>= 1.2~),
  docbook2x, docbook-xml
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 Homepage: https://github.com/icecc/icemon
-Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/icemon/trunk/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/icemon/
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/icemon.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/icemon
 
 Package: icecc-monitor
 Architecture: any
