=== src/CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,6 @@
   views/hostlistview.cc
   views/joblistview.cc
   views/listview.cc
-  #views/poolview.cc
   views/starview.cc
   views/summaryview.cc
 )
