=== debian/changelog ===
icecc-monitor (3.3-3) unstable; urgency=medium

  * Backport upstream commit b07bf3eb0c28ac5cd527d3ab675d2273d1866b48 to build
    with cmake 4; patch upstream_Fix-build-with-CMake-4.0.patch.
    (Closes: #1113002)
  * Bump Standards-Version to 4.7.2, no changes required.
  * Simplify GPL license text in copyright.
  * Switch the transitional pkg-config build dependency to pkgconf.
  * Remove inactive Uploaders.

 -- Pino Toscano <pino@debian.org>  Mon, 01 Sep 2025 07:58:46 +0200

icecc-monitor (3.3-2) unstable; urgency=medium

  * Bump watch file to v4, no changes required.
  * Add the configuration for the CI on salsa.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Add Rules-Requires-Root: no.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Mar 2022 10:04:30 +0100

icecc-monitor (3.3-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.1.0
    - bump qtbase5-dev to 5.4.0
    - bump libicecc-dev to 1.3
    - add extra-cmake-modules
  * Bump Standards-Version to 4.4.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 14 Sep 2019 12:56:00 +0200
