=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: kde
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>,
- Pino Toscano <pino@debian.org>
-Build-Depends: debhelper (>= 11~), cmake (>= 2.8.9),
- pkg-config,
- qtbase5-dev (>= 5.2), libicecc-dev (>= 1.2~),
+Uploaders: Pino Toscano <pino@debian.org>
+Build-Depends: debhelper-compat (= 13), cmake (>= 3.1.0),
+ extra-cmake-modules,
+ pkgconf,
+ qtbase5-dev (>= 5.4.0), libicecc-dev (>= 1.3~),
  docbook2x, docbook-xml
-Standards-Version: 4.2.1
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Homepage: https://github.com/icecc/icemon
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/icemon.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/icemon
