=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/icecc-monitor-$1\.tar\.gz/ \
  https://github.com/icecc/icemon/tags .*/v?(\d\S*)\.tar\.gz
